class GoodsDetailsSlideBannerModel {
    List<String> image_list;
    String pagination;
    String pagination_open;
    List<String> pagination_options;
    String pagination_select_color;
    String pagination_unselect_color;

    GoodsDetailsSlideBannerModel({this.image_list, this.pagination, this.pagination_open, this.pagination_options, this.pagination_select_color, this.pagination_unselect_color});

    factory GoodsDetailsSlideBannerModel.fromJson(Map<String, dynamic> json) {
        return GoodsDetailsSlideBannerModel(
            image_list: json['image_list'] != null ? new List<String>.from(json['image_list']) : null, 
            pagination: json['pagination'], 
            pagination_open: json['pagination_open'], 
            pagination_options: json['pagination_options'] != null ? new List<String>.from(json['pagination_options']) : null, 
            pagination_select_color: json['pagination_select_color'], 
            pagination_unselect_color: json['pagination_unselect_color'], 
        );
    }

    Map<String, dynamic> toJson() {
        final Map<String, dynamic> data = new Map<String, dynamic>();
        data['pagination'] = this.pagination;
        data['pagination_open'] = this.pagination_open;
        data['pagination_select_color'] = this.pagination_select_color;
        data['pagination_unselect_color'] = this.pagination_unselect_color;
        if (this.image_list != null) {
            data['image_list'] = this.image_list;
        }
        if (this.pagination_options != null) {
            data['pagination_options'] = this.pagination_options;
        }
        return data;
    }
}